--- src/options.old	2009-11-13 15:44:54.000000000 +0100
+++ src/options.c	2009-11-13 15:58:44.000000000 +0100
@@ -793,6 +793,11 @@
             break;
         section->option.program=1;
         section->execname=stralloc(arg);
+        if(!section->execargs) {
+            section->execargs=calloc(2, sizeof(char *));
+            section->execargs[0]=section->execname;
+            section->execargs[1]=NULL; /* to show that it's null-terminated */
+        }
         return NULL; /* OK */
     case CMD_DEFAULT:
         break;
@@ -1603,7 +1608,7 @@
         while(*ptr && isspace((unsigned char)*ptr))
             *ptr++='\0';
     }
-    retval[i]=NULL;
+    retval[i]=NULL; /* to show that it's null-terminated */
     return retval;
 }
 #endif
